body {
    margin: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

p {
    margin: 0;
}

button {
    height: 30px;
    background-color: #e9b200;
    cursor: pointer;
    transition: box-shadow 0.4s ease-in-out;
}

button:hover {
    
    /* background-color: #ffcb20; */
    background: radial-gradient(#ffcb20, #fff06b);
    box-shadow: 0px 0px 5px 2px #00ff00;
}

/* HEADER CSS */
#header {
    min-width: 900px;
    height: 314px;
    margin-bottom: 10px;
    background: linear-gradient(#7eff7e, #00ff00);
    box-shadow: 0px 4px 6px 1px rgba(33, 33, 33, .7);
    border-radius: 0px 0px 10px 10px;
    z-index: 10;
}

.menu-fixed-header {
    margin-bottom: 60px !important;
}

.centered {
    display: flex;
    justify-content: center;
    align-items: center;
}

#logo {
    float: left;
}

#logo > img{
    width: 240px;
    transform: rotate(-7deg);
    margin-top: 20px;
    box-shadow: 5px 5px 7px rgba(33,33,33,.7);
}

#name {
    float: left;
    margin-top: 50px;
}

#name > img {
    width: 450px;
    margin-top: 20px;
    margin-left: 50px;
}

#promise {
    font-size: 25px;
    margin-top: 10px;
    margin-left: 100px;
}


/* MENU */

#menu {
    width: 100%;
    height: 45px;
    background-color: black;
    margin-top: 10px;
    padding-top: 6px;
    border-radius: 0px 0px 10px 10px;
}

.menu-fixed {
    position: fixed;
    margin-top: -257px !important;
    max-width: 900px;
    box-shadow: 0px 3px 10px black;
}

#mobileButton {
    display: none;
}

#menu > ul {
    margin: 0;
    padding: 0;
}


#menu > ul {
    display: flex;
    justify-content: center;
    gap: 10px;
    list-style-type: none;
}

#menu ul > li a.inactive{
    display: block;
    color: #00ff00;
    text-decoration: none;
    background-color: rgb(19, 19, 19);
    margin-top: 5px;
    width: 150px;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
    transition: box-shadow 0.4s ease-in-out;
}

#menu ul > li > a.inactive:hover {
    box-shadow: 0px 0px 15px #00ff00;
}

#menu ul > li a.active {
    display: block;
    color: #00ff00;
    text-decoration: none;
    background-color: #1a1a1a;
    margin-top: 5px;
    width: 150px;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
    user-select: none;
    cursor: default;
    box-shadow: 0px 0px 5px #00ff00;
}

.product-drawer {
    display: flex;
    flex-direction: column;
    position: relative;
    top: 1px;
    width: 160px;
    max-height: 0px;
    background-color: #1a1a1a;
    color: #00ff00;
    box-shadow: 0px 0px 5px #00ff00;
    transition: max-height 0.5s ease-out;
    overflow: hidden;
    border-radius: 0px 0px 5px 5px;
}

.open {
    max-height: 350px;
}

.button-open {
    border-radius: 5px 5px 0px 0px !important;
}

.product-drawer ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
}

.product-drawer ul li {
    height: 35px;
    list-style-type: none;
}

.product-drawer ul li a {
    display: block;
    color: #00ff00;
    text-decoration: none;
    padding: 5px 0px 10px 0px;
}

.product-drawer ul li a {
    transition: color 0.6s ease-in-out;
}

.product-drawer ul li a:hover {
    color: #e9b200;
    font-size: 18px;
}


/*  PAGE CONTENT */
.page-content {
    margin: 10px;
    box-shadow: 0px 0px 8px rgba(33, 33, 33, 0.2);
    border-radius: 5px;
    max-width: 900px;
    font-size: large;
}

.separator {
    display: block;
    border: 1px solid rgba(0, 0, 0, 0.2);
    margin: 10px 31px 10px;
}

.emphasis {
    font-size: 20px;
    font-style: italic;
    font-weight: bold;
}

.highlight {
    font-style: italic;
    font-weight: bold;
    color: #00ff00;
}

.footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 250px;
    margin-bottom: 25px;
}

.footer #contacts {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #00ff00;
    color: black;
    width: 100%;
    border-radius: 0px 0px 5px 5px;
}

.footer #contact {
    height: 50px;
}

.footer #thanks {
    font-size: 20px;
    text-align: center;
    font-weight: 600;
    padding: 10px 100px;
    background-color: black;
    color: #00ff00;
}

#contacts #contact-info {
    display: flex;
    justify-content: center;
    gap: 100px;
    height: 125px;
}

#contacts #contact-title {
    height: 20px;
    margin-top: 15px;
    font-size: 20px;
}

#contacts .separator {
    width: 800px;
    background-color: #00ff00;
}

#contacts a {
    color: black;
}

@media (max-width: 950px) {
    #header {
        width: 370px;
        min-width: auto;
        height: auto;
    }

    #header > .centered > div {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #logo {
        margin-top: 25px;
    }

    #logo > img{
        width: 300px;
        margin-top: 0px
    }

    #name {
        margin-top: 40px
    }

    #name > img {
        width: 325px;
        margin-top: 10px;
        margin-left: 0px;
    }

    #promise {
        text-align: center;
        margin: 10px 20px;
        font-size: large;
        width: 370px;
    }
    
    #menu {
        display: flex;
        justify-content: start;
        align-items: center;
        flex-direction: column;
        width: 370px;
        height: auto;
        margin-top: 0px;
        /* overflow: hidden; */
        transition: height 0.5s ease-out;
    }

    #menu.mobile-open {
        /* height: 240px; */
    }

    #mobileButton {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        color: #00ff00;
        background-color: rgb(19, 19, 19);
        margin: 7px 0px;
        width: 50px;
        border-radius: 5px;
    }

    #mobileButton:hover {
        box-shadow: 0px 0px 15px #00ff00;
        background: rgb(19, 19, 19);
    }

    #mobileButton span {
        display: block;
        width: 100%;
        border: 1px solid rgba(0, 0, 0, 0.2);
        background-color: green;
        margin: 3px 10px;
    }

    #menu > ul {
        flex-direction: column;
        align-items: center;
        justify-content: start;
        background-color: black;
        height: 0px;
        overflow-y: hidden;
        transition: height 0.5s ease-out;
    }

    #menu > ul.open {
        display: flex;
        height: 180px;
        box-shadow: 0px 0px 5px #00ff00;
        border-radius: 0px 0px 10px 10px;
        width: 100%;
        margin-top: 0px;
    }

    #menu ul > li a {
        width: 175px !important;
    }

    .menu-fixed {
        position: fixed;
        margin-top: -440px !important;
        max-width: 400px;
    }

    .page-content {
        max-width: 400px;
    }

    .footer {
        flex-direction: column;
        justify-content: start;
        height: 475px;
    }

    .footer #thanks {
        padding: 10px 50px;
        height: 100px;
    }

    #contacts #contact-title {
        height: 45px;
        text-align: center;
        padding: 10px;
        font-size: 20px;
    }

    #contacts .separator {
        width: 300px;
    }

    #contacts #contact-info {
        flex-direction: column;
        justify-content: start;
        height: 255px;
        gap: 25px;
    }
}